/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
ConfigurationBuilderDefault configurationBuilder = 
    new ConfigurationBuilderDefault();
configurationBuilder.add(SystemConstants.NOSPLASH_KEY, ""+true);
        
NakedObjectsSystemBootstrapper systemBootstrapper = 
    new NakedObjectsSystemBootstrapper(configurationBuilder, getClass());
        
system = systemBootstrapper.bootSystem(DeploymentType.EXPLORATION);
